package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdAccperiodyear;
import com.dhcc.finance.main.domain.CwBdAccperiodyearExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdAccperiodyearMapper {
    long countByExample(CwBdAccperiodyearExample example);

    int deleteByExample(CwBdAccperiodyearExample example);

    int deleteByPrimaryKey(String pkAcchalfyear);

    int insert(CwBdAccperiodyear record);

    int insertSelective(CwBdAccperiodyear record);

    List<CwBdAccperiodyear> selectByExample(CwBdAccperiodyearExample example);

    CwBdAccperiodyear selectByPrimaryKey(String pkAcchalfyear);

    int updateByExampleSelective(@Param("record") CwBdAccperiodyear record, @Param("example") CwBdAccperiodyearExample example);

    int updateByExample(@Param("record") CwBdAccperiodyear record, @Param("example") CwBdAccperiodyearExample example);

    int updateByPrimaryKeySelective(CwBdAccperiodyear record);

    int updateByPrimaryKey(CwBdAccperiodyear record);
    
    List<CwBdAccperiodyear> selectBy(@Param("pkAccperiod") String pkAccperiod);
    /**
     * 功能描述 查询半年是否存在（结转时使用）
     *@param year
     *@param halfYear
     *@return String
     *@author huangpeng
     *@date 2019年8月12日 上午10:28:59
     *修改日志:
     */
    String selectHalfYearIsExists(@Param("year")String year,@Param("month")String month);

}